Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.interfaces.simpleImpl
Class NullMarkupProvider

    java.lang.Object
      org.eclipse.contribution.visualiser.interfaces.simpleImpl.NullMarkupProvider

All Implemented Interfaces:
  IMarkupProvider

public class NullMarkupProvider
extends java.lang.Object
implements IMarkupProvider

The null marker provider, just returns nulls for all questions it gets asked.

Constructor Summary
`NullMarkupProvider()`

Method Summary
`void` | `activate()` Activate the provider
`boolean` | `changeMode()` Change the mode - returns false (mode has not been changed)
`void` | `deactivate()` Deactivate the provider
`java.util.SortedSet` | `getAllMarkupKinds()` Get the set of all markup kinds - returns null
`org.eclipse.swt.graphics.Color` | `getColorFor(IMarkupKind string)` Get the colour for the given String - returns null
`java.util.List` | `getGroupMarkups(IGroup group)` Get the markups for the given group - returns null
`java.util.List` | `getMemberMarkups(IMember member)` Get the markups for the given member - returns null
`boolean` | `hasMultipleModes()` Ask if the provider has multiple modes - returns false
`void` | `initialise()` Initialise the provider - does nothing
`boolean` | `processMouseclick(IMember member, Stripe stripe, int buttonClicked)` Processs a mouse click on a stripe.
`void` | `setColorFor(IMarkupKind kind, org.eclipse.swt.graphics.Color color)` Set the colour for the given String - does nothing

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullMarkupProvider

    public NullMarkupProvider()

Method Detail

### getMemberMarkups

    public java.util.List getMemberMarkups(IMember member)

  Get the markups for the given member - returns null

  Specified by:
    `getMemberMarkups` in interface `IMarkupProvider`

### getGroupMarkups

    public java.util.List getGroupMarkups(IGroup group)

  Get the markups for the given group - returns null

  Specified by:
    `getGroupMarkups` in interface `IMarkupProvider`

### getColorFor

    public org.eclipse.swt.graphics.Color getColorFor(IMarkupKind string)

  Get the colour for the given String - returns null

  Specified by:
    `getColorFor` in interface `IMarkupProvider`

### getAllMarkupKinds

    public java.util.SortedSet getAllMarkupKinds()

  Get the set of all markup kinds - returns null

  Specified by:
    `getAllMarkupKinds` in interface `IMarkupProvider`

### initialise

    public void initialise()

  Initialise the provider - does nothing

  Specified by:
    `initialise` in interface `IMarkupProvider`

### setColorFor

    public void setColorFor(IMarkupKind kind,
                            org.eclipse.swt.graphics.Color color)

  Set the colour for the given String - does nothing

  Specified by:
    `setColorFor` in interface `IMarkupProvider`

### changeMode

    public boolean changeMode()

  Change the mode - returns false (mode has not been changed)

  Specified by:
    `changeMode` in interface `IMarkupProvider`
  Returns:
    true iff the provider requires the visualiser to update,

### hasMultipleModes

    public boolean hasMultipleModes()

  Ask if the provider has multiple modes - returns false

  Specified by:
    `hasMultipleModes` in interface `IMarkupProvider`
  Returns:
    true if this markup provider has multiple modes

### processMouseclick

    public boolean processMouseclick(IMember member,
                                     Stripe stripe,
                                     int buttonClicked)

  Processs a mouse click on a stripe. Does nothing. Returns true - default behavior should be performed.

  Specified by:
    `processMouseclick` in interface `IMarkupProvider`
  See Also:
    `org.eclipse.contribution.visualiser.interfaces.IMarkupProvider#processMouseclick(IMember, Stripe, String, int)`

### activate

    public void activate()

  Activate the provider

  Specified by:
    `activate` in interface `IMarkupProvider`

### deactivate

    public void deactivate()

  Deactivate the provider

  Specified by:
    `deactivate` in interface `IMarkupProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD